package org.gcube.portlets.user.workspace.client.model;

import java.util.Date;

import org.gcube.portlets.user.workspace.client.ConstantsExplorer;


/**
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 *
 */
public class FileDetailsModel extends FileGridModel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	protected FileDetailsModel() {
	}

//	public FileDetailsModel(String identifier, String name, String path, String creationDate, String parent, String size, boolean isDirectory, String lastModified, String description) {
//		super(identifier, name, path, creationDate, parent, size, isDirectory);
//		
//		this.setDescription(description);
//		this.setLastModified(lastModified);
//	}
	
	public FileDetailsModel(String identifier, String name, String path, Date creationDate, FileModel parent, String size, boolean isDirectory, String description, Date lastModified, String owner) {
		super(identifier,name,path,creationDate,parent,size,isDirectory);
		
		setLastModified(lastModified);
		setDescription(description);
		setDescription(owner);
		
	}
	
	public void setLastModified(Date lastModified) {
		set(ConstantsExplorer.LASTMODIFIED, lastModified);		
	}
	
	private void setDescription(String description){	
		set(ConstantsExplorer.DESCRIPTION, description);	
	}
	
	public void setOwner(String owner) {
		set(ConstantsExplorer.OWNER, owner);		
	}
	
	public String getOwner() {
		return get(ConstantsExplorer.OWNER);		
	}
	
	private Date getLastModified() {
		return (Date) get(ConstantsExplorer.LASTMODIFIED);		
	}
	
	public String getDescription(){	
		return get(ConstantsExplorer.DESCRIPTION);			
	}
	
}
